<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    protected $table = 'transactions'; // Specify the table name if it's different from the default convention
    
    protected $fillable = [
        't_id',
        't_type',
        'amount',
        'description',
        'receipt',
        'for_who',
        'sendto',
        'status',
        'createdby',
        'approved_by',
        'created_date',
        'approved_date',
        'contributionEvent',
        'eventContributionID',
        'loanID',
        'guarantor',
        'guaranteed_amount',
        'guarantor_approved',
        'isPaid',
        'groupCode'
    ];

    // If you have timestamp fields, you can define them as well
    public $timestamps = false; // Set to false if you don't have created_at and updated_at fields

    // You can also define other relationships or constraints here if needed
}
